import {
	main
}
from '@/api/index'
import request from '@/utils/require'


// 列表页
export function selectList(data) {
	return request({
		url: `${main}/client/checkandaccept/page/list?companyName=${data.companyName}&isExamineAndApprove=${data.isExamineAndApprove}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
		method: 'get',
	})
}

//验收详情
export function checkAndAcceptDetail(id) {
	return request({
		url: `${main}/client/checkandaccept/lookOver/checkAndAccept/${id}`,
		method: 'get'
	})
}

//质检详情
export function qualityRecordsDetail(data) {
	return request({
		url: `${main}/client/checkandaccept/lookOver/qualityRecords?SN=${data.SN}&code=${data.code}`,
		method: 'get'
	})
}

// ///文号
export function companyCode(companyCode) {
	return request({
		url: `${main}/rotateplanexecute/typenumlist/${companyCode}`,
		method: 'get'
	})
}
//yanshou
export function checkAndAcceptSave(data) {
	return request({
		url: `${main}/client/checkandaccept/audit/checkAndAccept`,
        method: 'post',
        data
	})
}
